Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vutbr.checkers.protocol
Class ProtocolRequest

    java.lang.Object
      vutbr.checkers.protocol.ProtocolLine
          vutbr.checkers.protocol.ProtocolRequest

Direct Known Subclasses:
  ProtocolRequestExit, ProtocolRequestGame, ProtocolRequestGameEnd, ProtocolRequestLogin, ProtocolRequestPing, ProtocolRequestRegister, ProtocolRequestTurn, ProtocolRequestTurnEnd

    public abstract class ProtocolRequest

extends ProtocolLine

Trida ProtocolRequest

Author:
  Ondrej Novy

Constructor Summary
`ProtocolRequest()`

Method Summary
`protected java.lang.String` | `getType()` Vrati typ prikazu REQ

Methods inherited from class vutbr.checkers.protocol.ProtocolLine
`build, getCommand, getParam`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProtocolRequest

    public ProtocolRequest()

Method Detail

### getType

    protected final java.lang.String getType()

  Vrati typ prikazu REQ

  Specified by:
    `getType` in class `ProtocolLine`
  Returns:
    Typ prikazu REQ

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD